<sqtm-core-entity-view-wrapper [sqtmCoreViewId]="'campaign-view'">
  @if (campaignService.componentData$ | async; as componentData) {
    <div class="flex full-height full-width neutral-background-color">
      <div class="flex-column full-width">
        <sqtm-core-entity-view-header
          class="full-width content-head p-t-10 p-r-20 m-b-20"
          [attachmentList]="componentData.campaign.attachmentList"
          [entityPath]="componentData.campaign.path"
          (attachmentBadgeClickEvent)="toggleAttachmentPanel()"
          id="campaign-view-header"
        >
          <div projection="actions" class="m-t-10 width-40">
            <sqtm-core-fold-button></sqtm-core-fold-button>
          </div>
          <div projection="reference" class="reference">
            <sqtm-core-editable-text-field
              [attr.data-test-field-id]="'entity-reference'"
              [sqtmCoreEntityViewEditableTextField]="'reference'"
              ngDefaultControl
              [layout]="'compact'"
              placeholder="{{
                'sqtm-core.campaign-workspace.reference.placeholder' | translate
              }}"
              [trimValue]="true"
            >
            </sqtm-core-editable-text-field>
          </div>
          <div
            projection="notifications"
            class="m-r-40"
            [attr.data-test-element-id]="'notifications'"
          >
            @if (!componentData.milestonesAllowModification) {
              <div
                [attr.data-test-element-id]="'milestone-locked-warning'"
                nz-tooltip
                [nzTooltipTitle]="lockedMilestoneMessage"
                [nzTooltipPlacement]="'bottom'"
                class="font-20-px sqtm-core-error-message"
              >
                <i
                  nz-icon
                  nzType="sqtm-core-nav:milestone"
                  nzTheme="outline"
                ></i>
              </div>
            }
          </div>
          <div projection="capsule" class="sqtm-core-capsules-container">
            <sqtm-core-capsule-information
              [informationData]="
                getCampaignStatusInformationData(
                  componentData.campaign.campaignStatus
                )
              "
            >
            </sqtm-core-capsule-information>
            <sqtm-core-capsule-information
              [informationData]="
                getProgressStateInformationData(
                  componentData.campaign.testPlanStatistics.status
                )
              "
            >
            </sqtm-core-capsule-information>
          </div>
        </sqtm-core-entity-view-header>
        <div class="flex-row full-width full-height">
          <div class="flex-fixed-size side-bar">
            <div class="anchor-bar">
              <sqtm-core-anchor>
                <sqtm-core-anchor-group [id]="'dashboard'">
                  <sqtm-core-anchor-link
                    sqtmCoreDefaultAnchorLink
                    nz-tooltip
                    nzTooltipPlacement="right"
                    [id]="'dashboard'"
                    [nzTooltipTitle]="
                      'sqtm-core.generic.label.dashboard.title' | translate
                    "
                    [iconName]="'sqtm-core-generic:dashboard'"
                  >
                  </sqtm-core-anchor-link>
                </sqtm-core-anchor-group>
                <sqtm-core-anchor-group [id]="'content'">
                  <sqtm-core-anchor-link
                    [id]="'information'"
                    nz-tooltip
                    nzTooltipPlacement="right"
                    [nzTooltipTitle]="
                      'sqtm-core.generic.label.information.plural' | translate
                    "
                    [iconName]="'sqtm-core-generic:information'"
                  >
                  </sqtm-core-anchor-link>
                  <sqtm-core-anchor-link
                    nz-tooltip
                    nzTooltipPlacement="right"
                    [id]="'planning'"
                    [nzTooltipTitle]="
                      'sqtm-core.campaign-workspace.title.planning' | translate
                    "
                    [iconName]="'sqtm-core-campaign:calendar'"
                  >
                  </sqtm-core-anchor-link>
                  <sqtm-core-anchor-link
                    nz-tooltip
                    nzTooltipPlacement="right"
                    [id]="'statistics'"
                    [nzTooltipTitle]="
                      'sqtm-core.campaign-workspace.label.statistics'
                        | translate
                    "
                    [iconName]="'sqtm-core-campaign:statistics'"
                  >
                  </sqtm-core-anchor-link>
                </sqtm-core-anchor-group>
                <sqtm-core-anchor-group [id]="'test-plan'">
                  <sqtm-core-anchor-link
                    [id]="'plan-exec'"
                    nz-tooltip
                    nzTooltipPlacement="right"
                    [nzTooltipTitle]="
                      'sqtm-core.campaign-workspace.title.plan-exec' | translate
                    "
                    [iconName]="'sqtm-core-campaign:list'"
                  >
                    @if (componentData.campaign.nbTestPlanItems > 0) {
                      <div class="anchor-counter">
                        <span>{{
                          componentData.campaign.nbTestPlanItems
                        }}</span>
                      </div>
                    }
                  </sqtm-core-anchor-link>
                </sqtm-core-anchor-group>
                @if (componentData.projectData.bugTracker) {
                  <sqtm-core-anchor-group [id]="'issues'">
                    <sqtm-core-anchor-link
                      nz-tooltip
                      nzTooltipPlacement="right"
                      [id]="'issues'"
                      [nzTooltipTitle]="
                        'sqtm-core.campaign-workspace.title.issues' | translate
                      "
                      [iconName]="'sqtm-core-generic:issues'"
                    >
                      @if (componentData.campaign.nbIssues > 0) {
                        <div class="anchor-counter">
                          <span>{{ componentData.campaign.nbIssues }}</span>
                        </div>
                      }
                    </sqtm-core-anchor-link>
                  </sqtm-core-anchor-group>
                }
              </sqtm-core-anchor>
            </div>
          </div>
          <div #content class="content-body full-height full-width">
            <router-outlet></router-outlet>
          </div>
        </div>
      </div>
    </div>
    <sqtm-core-attachment-drawer
      [canAttach]="
        componentData.permissions.canAttach &&
        componentData.milestonesAllowModification
      "
    >
    </sqtm-core-attachment-drawer>
  }
</sqtm-core-entity-view-wrapper>

<ng-template #lockedMilestoneMessage>
  {{ 'sqtm-core.entity.generic.milestone.locked' | translate }}
</ng-template>
